summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-11 15:18:36 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:36 +0200
commitc7f427755c1d2f24866cf5c8c4c62cbc40dccc05 (patch)
treef157baec2e13233c18272e27fa174b87104b3330 /system
parent9496aebf6cf79fb67dc3823086d5ba8873f88763 (diff)
downloadslackbuilds-c7f427755c1d2f24866cf5c8c4c62cbc40dccc05.tar.gz
slackbuilds-c7f427755c1d2f24866cf5c8c4c62cbc40dccc05.tar.xz
system/dosbox: Initial import
Diffstat (limited to 'system')
-rw-r--r--system/dosbox/README3
-rw-r--r--system/dosbox/doinst.sh5
-rw-r--r--system/dosbox/dosbox.SlackBuild86
-rw-r--r--system/dosbox/dosbox.desktop12
-rw-r--r--system/dosbox/dosbox.info8
-rw-r--r--system/dosbox/slack-desc7
6 files changed, 121 insertions, 0 deletions
diff --git a/system/dosbox/README b/system/dosbox/README
new file mode 100644
index 0000000000..663145eea8
--- /dev/null
+++ b/system/dosbox/README
@@ -0,0 +1,3 @@
+DOSbox is a DOS emulator/virtual machine for X11 and Unix.
+It allows you to play many of the old games you grew up loving,
+as well as many apps designed to run on DOS.
diff --git a/system/dosbox/doinst.sh b/system/dosbox/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/system/dosbox/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/dosbox/dosbox.SlackBuild b/system/dosbox/dosbox.SlackBuild
new file mode 100644
index 0000000000..06da92ecf6
--- /dev/null
+++ b/system/dosbox/dosbox.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for dosbox
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=dosbox
+VERSION=0.65
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R a-s,u+w,go-w+r .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make DESTDIR=$PKG || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Add a desktop file to create a menu entry
+install -D -m 0644 $CWD/dosbox.desktop \
+ $PKG/usr/share/applications/dosbox.desktop
+# Add the dosbox.ico file to /usr/share/pixmaps
+install -D -m 0644 src/dosbox.ico \
+ $PKG/usr/share/pixmaps/dosbox.ico
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ docs/README.video $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/dosbox/dosbox.desktop b/system/dosbox/dosbox.desktop
new file mode 100644
index 0000000000..bd1e2aae41
--- /dev/null
+++ b/system/dosbox/dosbox.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Encoding=UTF-8
+Version=1.0
+Name=dosbox
+Comment=DOS Emulator
+GenericName=dosbox
+Exec=dosbox
+Icon=/usr/share/pixmaps/dosbox.ico
+Terminal=false
+Type=Application
+Categories=System;
+StartupNotify=true
diff --git a/system/dosbox/dosbox.info b/system/dosbox/dosbox.info
new file mode 100644
index 0000000000..c8f3d6af33
--- /dev/null
+++ b/system/dosbox/dosbox.info
@@ -0,0 +1,8 @@
+PRGNAM="dosbox"
+VERSION="0.65"
+HOMEPAGE="http://dosbox.sourceforge.net"
+DOWNLOAD="http://dl.sourceforge.net/dosbox/dosbox-0.65.tar.gz"
+MD5SUM="fef84c292c3aeae747368b9875c1575a"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="robw810"
diff --git a/system/dosbox/slack-desc b/system/dosbox/slack-desc
new file mode 100644
index 0000000000..a810e6525d
--- /dev/null
+++ b/system/dosbox/slack-desc
@@ -0,0 +1,7 @@
+dosbox: DOSbox is a DOS emulator/virtual machine for X11 and Unix.
+dosbox:
+dosbox: It allows you to play many of the old games you grew up loving, as
+dosbox: well as many apps designed to run on DOS.
+dosbox:
+dosbox:
+dosbox: